Bug 181455 - New port: sysutils/sysvbanner
Summary: New port: sysutils/sysvbanner
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-21 14:40 UTC by Uffe Jakobsen
Modified: 2021-05-01 12:27 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (1.69 KB, text/plain)
2013-08-21 14:40 UTC, Uffe Jakobsen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2013-08-21 14:40:01 UTC
New port: sysutils/sysvbanner

sysvbanner outputs banner in SysV style

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2013-08-27 23:40:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-08-28 05:10:11 UTC
Author: amdmi3
Date: Wed Aug 28 04:10:02 2013
New Revision: 325499
URL: http://svnweb.freebsd.org/changeset/ports/325499

Log:
  sysvbanner prints SysV style banners.
  Prints out the first 10 characters of text in large letters.
  
  WWW: https://github.com/uffejakobsen/sysvbanner
  
  PR:		181455
  Submitted by:	Uffe Jakobsen <uffe@uffe.org>

Added:
  head/sysutils/sysvbanner/
  head/sysutils/sysvbanner/Makefile   (contents, props changed)
  head/sysutils/sysvbanner/distinfo   (contents, props changed)
  head/sysutils/sysvbanner/pkg-descr   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Wed Aug 28 04:09:52 2013	(r325498)
+++ head/sysutils/Makefile	Wed Aug 28 04:10:02 2013	(r325499)
@@ -895,6 +895,7 @@
     SUBDIR += sysrc
     SUBDIR += system-tools-backends
     SUBDIR += sysupdate
+    SUBDIR += sysvbanner
     SUBDIR += tai64nfrac
     SUBDIR += tarsnap
     SUBDIR += tbku

Added: head/sysutils/sysvbanner/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/sysvbanner/Makefile	Wed Aug 28 04:10:02 2013	(r325499)
@@ -0,0 +1,26 @@
+# Created by: Uffe Jakobsen <uffe@uffe.org>
+# $FreeBSD$
+
+PORTNAME=	sysvbanner
+PORTVERSION=	1.0.15
+CATEGORIES=	sysutils
+MASTER_SITES=	http://github.com/uffejakobsen/${PORTNAME}/archive/v${PORTVERSION}.tar.gz?dummy=/
+
+MAINTAINER=	uffe@uffe.org
+COMMENT=	SysV banner
+
+FETCH_ARGS=	-Fpr
+
+USES=		gmake
+
+ALL_TARGET=	banner
+
+MAN1=		sysvbanner.1
+
+PLIST_FILES=	bin/sysvbanner
+
+do-install:
+	${INSTALL_PROGRAM} ${BUILD_WRKSRC}/banner ${PREFIX}/bin/sysvbanner
+	${INSTALL_MAN} ${BUILD_WRKSRC}/banner.1 ${MAN1PREFIX}/man/man1/sysvbanner.1
+
+.include <bsd.port.mk>

Added: head/sysutils/sysvbanner/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/sysvbanner/distinfo	Wed Aug 28 04:10:02 2013	(r325499)
@@ -0,0 +1,2 @@
+SHA256 (sysvbanner-1.0.15.tar.gz) = a27df8231711c12608d4fd49103b150ae52f88a358885deffad4d373d6ea0f7d
+SIZE (sysvbanner-1.0.15.tar.gz) = 4209

Added: head/sysutils/sysvbanner/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/sysvbanner/pkg-descr	Wed Aug 28 04:10:02 2013	(r325499)
@@ -0,0 +1,4 @@
+sysvbanner prints SysV style banners.
+Prints out the first 10 characters of text in large letters.
+
+WWW: https://github.com/uffejakobsen/sysvbanner
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov freebsd_committer 2013-08-28 05:10:19 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!